Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorPrivateMetadataRequest Class Reference
Request | Ext::SensorPrivateMetadata

Interface used enable the output of sensor private metadata for a request. More...

`#include <SensorPrivateMetadata.h>`

Inheritance diagram for Argus::Ext::ISensorPrivateMetadataRequest:

List of all members.

## Public Member Functions
virtual void | setMetadataEnable (bool enable)=0
| Enables the sensor private metadata, will only work if the sensor supports embedded metadata.
virtual bool | getMetadataEnable () const =0
| Returns if the metadata is enabled for this request.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISensorPrivateMetadataRequest ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used enable the output of sensor private metadata for a request.

Definition at line 89 of file SensorPrivateMetadata.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorPrivateMetadataRequest::~ISensorPrivateMetadataRequest | ( |  | ) |
| inline protected

Definition at line 106 of file SensorPrivateMetadata.h.

## Member Function Documentation

virtual bool Argus::Ext::ISensorPrivateMetadataRequest::getMetadataEnable | ( |  | ) | const
| pure virtual

Returns if the metadata is enabled for this request.

static const InterfaceID& Argus::Ext::ISensorPrivateMetadataRequest::id | ( |  | ) |
| inline static

Definition at line 92 of file SensorPrivateMetadata.h.

virtual void Argus::Ext::ISensorPrivateMetadataRequest::setMetadataEnable | ( | bool | enable | ) |
| pure virtual

Enables the sensor private metadata, will only work if the sensor supports embedded metadata.

Parameters:

  [in] | enable | whether to output embedded metadata.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorPrivateMetadata.h